Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.util
Class AbstractWidgetState

    java.lang.Object
      java.util.Observable
          edu.stanford.smi.protegex.util.AbstractWidgetState

Direct Known Subclasses:
  ButtonRelatedWidgetState

    public abstract class AbstractWidgetState

extends Observable

Abstract superclass for lots of state objects Wrapper around PropertyList

Author:
  William Grosso

Field Summary
`protected PropertyList` | `_properties`

Constructor Summary
`AbstractWidgetState(PropertyList properties)`

Method Summary
`protected void` | `broadcast()`
`abstract void` | `dispose()`
`protected boolean` | `isCustomized()`
`protected boolean` | `readBoolean(String name, boolean defaultValue)`
`protected int` | `readInt(String name, int defaultValue)`
`protected String` | `readString(String name, String defaultValue)`
`abstract void` | `restore()`
`abstract void` | `save()`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _properties

    protected PropertyList _properties

Constructor Detail

### AbstractWidgetState

    public AbstractWidgetState(PropertyList properties)

Method Detail

### broadcast

    protected void broadcast()

### dispose

    public abstract void dispose()

### isCustomized

    protected boolean isCustomized()

### readBoolean

    protected boolean readBoolean(String name,
                                  boolean defaultValue)

### readInt

    protected int readInt(String name,
                          int defaultValue)

### readString

    protected String readString(String name,
                                String defaultValue)

### restore

    public abstract void restore()

### save

    public abstract void save()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request